import request from '@/utils/request'

// 查询客户员工协作列表
export function listAssist(query) {
  return request({
    url: '/crm/assist/list',
    method: 'get',
    params: query
  })
}

// 查询客户员工协作详细
export function getAssist(id) {
  return request({
    url: '/crm/assist/' + id,
    method: 'get'
  })
}

// 新增客户员工协作
export function addAssist(data) {
  return request({
    url: '/crm/assist',
    method: 'post',
    data: data
  })
}

// 修改客户员工协作
export function updateAssist(data) {
  return request({
    url: '/crm/assist',
    method: 'put',
    data: data
  })
}

// 删除客户员工协作
export function delAssist(id) {
  return request({
    url: '/crm/assist/' + id,
    method: 'delete'
  })
}

// 删除客户员工协作
export function remove(data) {
  return request({
    url: '/crm/assist/remove',
    method: 'post',
    data: data
  })
}

// 导出客户员工协作
export function exportAssist(query) {
  return request({
    url: '/crm/assist/export',
    method: 'get',
    params: query
  })
}